diff --git a/README.md b/README.md
index 8abbcf82b..8cd78731d 100755
--- a/README.md
+++ b/README.md
@@ -84,6 +84,29 @@ A big THANK YOU goes to:
* [FFMPEG](http://ffmpeg.org/) and [libx264](http://www.videolan.org/) group for SRS to use to transcode.
* Guido van Rossum for creating Python for api-server for SRS.
+## Mirrors
+
+Github: [https://github.com/winlinvip/simple-rtmp-server](https://github.com/winlinvip/simple-rtmp-server)
+[Git Usage](https://github.com/winlinvip/simple-rtmp-server/wiki/v1_CN_Git)
+
+```bash
+git clone https://github.com/winlinvip/simple-rtmp-server.git
+```
+
+CSDN: [https://code.csdn.net/winlinvip/srs-csdn](https://code.csdn.net/winlinvip/srs-csdn)
+[Git Usage](https://github.com/winlinvip/simple-rtmp-server/wiki/v1_CN_Git)
+
+```bash
+git clone https://code.csdn.net/winlinvip/srs-csdn.git
+```
+
+OSChina: [http://git.oschina.net/winlinvip/srs.oschina](http://git.oschina.net/winlinvip/srs.oschina)
+[Git Usage](https://github.com/winlinvip/simple-rtmp-server/wiki/v1_CN_Git)
+
+```bash
+git clone https://git.oschina.net/winlinvip/srs.oschina.git
+```
+
## Usage
Step 1: get SRS
@@ -133,23 +156,8 @@ Donation:
[http://www.ossrs.net/srs.release/donation/index.html](http://www.ossrs.net/srs.release/donation/index.html)
Donations:
-[https://github.com/winlinvip/simple-rtmp-server/blob/master/DONATIONS.txt](https://github.com/winlinvip/simple-rtmp-server/blob/master/DONATIONS.txt)
-
-## Mirrors
-
-Github: [https://github.com/winlinvip/simple-rtmp-server](https://github.com/winlinvip/simple-rtmp-server)
-[Git Usage](https://github.com/winlinvip/simple-rtmp-server/wiki/v1_CN_Git)
-
-```bash
-git clone https://github.com/winlinvip/simple-rtmp-server.git
-```
-
-CSDN: [https://code.csdn.net/winlinvip/srs-csdn](https://code.csdn.net/winlinvip/srs-csdn)
-[Git Usage](https://github.com/winlinvip/simple-rtmp-server/wiki/v1_CN_Git)
-
-```bash
-git clone https://code.csdn.net/winlinvip/srs-csdn.git
-```
+[https://github.com/winlinvip/simple-rtmp-server/blob/master/DONATIONS.txt]
+(https://github.com/winlinvip/simple-rtmp-server/blob/master/DONATIONS.txt)
## System Requirements
Supported operating systems and hardware:
diff --git a/trunk/scripts/_mirror.utils.sh b/trunk/scripts/_mirror.utils.sh
new file mode 100755
index 000000000..a5cee9756
--- /dev/null
+++ b/trunk/scripts/_mirror.utils.sh
@@ -0,0 +1,94 @@
+#!/bin/bash
+
+#############################################
+# help for the first checkout.
+#############################################
+function first_checkout()
+{
+ mirror_name=$1
+ git_url=$2
+ project_dir=$3
+ sync_script=$4
+
+ failed_msg "当前分支不是${mirror_name}镜像";
+
+ cat </dev/null 2>&1
ret=$?; if [[ 0 -ne $ret ]]; then
- failed_msg "当前分支不是CSDN镜像";
- cat </dev/null 2>&1
+ret=$?; if [[ 0 -ne $ret ]]; then
+ first_checkout "OSChina" \
+ "git@git.oschina.net:winlinvip/srs.oschina.git" \
+ "srs.oschina" "$work_dir/scripts/oschina.mirror.sh"
+ exit 0;
+fi
+
+sync_master
+sync_1_0_release
+sync_push "OSChina"
+
+exit 0